(require 'hydra-examples)
(defhydra hydra-window (:hint nil)
  "
          Split: _v_:vert  _x_:horz
         Delete: _c_lose  _o_nly
  Switch Window: _h_:left  _j_:down  _k_:up  _l_:right
            Ace: _a_ce  _s_:swap
        Buffers: _p_revious  _n_ext  _b_:select  _f_ind-file
         Resize: _H_:splitter left  _J_:splitter down  _K_:splitter up  _L_:splitter right"

  ("h" windmove-left)
  ("j" windmove-down)
  ("k" windmove-up)
  ("l" windmove-right)

  ("p" previous-buffer)
  ("n" next-buffer)
  ("b" ido-switch-buffer) 
  ("f" ido-find-file)

  ("x" split-window-below)
  ("v" split-window-right)

  ("a" ace-window)
  ("s" ace-swap-window)

  ("c" delete-window)
  ("o" delete-other-windows)

  ("H" hydra-move-splitter-left)
  ("J" hydra-move-splitter-down)
  ("K" hydra-move-splitter-up)
  ("L" hydra-move-splitter-right)

  ("q" nil))

(defhydra hydra-shortcuts (:hint nil :color blue :columns 3)
  "Shortcuts"
  ("d" insert-date "insert date")
  ("t" todotxt-open-file "open todotxt")
  ("q" nil))

(defhydra hydra-mc (:hint nil :columns 3)
  "Multiple Cursors"
 ("a" mc/mark-all-dwim "mark all dwim")
 ("l" mc/edit-lines "edit lines")
 ("n" mc/mark-next-like-this "mark next like this"))

(defhydra hydra-avy (:hint nil :color blue)
  "
char: _c_: 1 char  _C_: 2 char
word: _w_: 1 char  _W_: 0 char"

  ("c" avy-goto-char)
  ("C" avy-goto-char-2)
  ("w" avy-goto-word-1)
  ("W" avy-goto-word-0)
  ("q" nil))

(global-set-key (kbd "C-c w") 'hydra-window/body)
(global-set-key (kbd "C-c s") 'hydra-shortcuts/body)
(global-set-key (kbd "C-c a") 'hydra-avy/body)
(global-set-key (kbd "C-c c") 'hydra-mc/body)
